# -*- coding: utf-8 -*-
## Copyright (C) 2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""
utils method for content dispatcher
"""

from cPickle import loads, dumps
from base64 import encodestring, decodestring

def serializeObject(obj):
    """
    serialize an object in order to be send to the network
    """

    s=dumps(obj)
    return encodestring(s)

def unserialiseObject(s):
    """
    unserialize an object in order to be send to the network
    """

    obj=None
    try:
        s=decodestring(s)
        obj=loads(s)
        
    finally:
        return obj


    

